IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:7e00::/72- First address
2001:db8:0:0:7e00::- Last address
2001:db8::7eff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:7e00:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
e.7.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:7e00::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:7e00::/80 | 2001:db8::7e00:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:7e01::/80 | 2001:db8::7e01:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:7e02::/80 | 2001:db8::7e02:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:7e03::/80 | 2001:db8::7e03:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:7e04::/80 | 2001:db8::7e04:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:7e05::/80 | 2001:db8::7e05:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:7e06::/80 | 2001:db8::7e06:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:7e07::/80 | 2001:db8::7e07:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:7e08::/80 | 2001:db8::7e08:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:7e09::/80 | 2001:db8::7e09:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:7e0a::/80 | 2001:db8::7e0a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:7e0b::/80 | 2001:db8::7e0b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:7e0c::/80 | 2001:db8::7e0c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:7e0d::/80 | 2001:db8::7e0d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:7e0e::/80 | 2001:db8::7e0e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:7e0f::/80 | 2001:db8::7e0f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:7e10::/80 | 2001:db8::7e10:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:7e11::/80 | 2001:db8::7e11:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:7e12::/80 | 2001:db8::7e12:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:7e13::/80 | 2001:db8::7e13:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:7e14::/80 | 2001:db8::7e14:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:7e15::/80 | 2001:db8::7e15:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:7e16::/80 | 2001:db8::7e16:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:7e17::/80 | 2001:db8::7e17:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:7e18::/80 | 2001:db8::7e18:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:7e19::/80 | 2001:db8::7e19:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:7e1a::/80 | 2001:db8::7e1a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:7e1b::/80 | 2001:db8::7e1b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:7e1c::/80 | 2001:db8::7e1c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:7e1d::/80 | 2001:db8::7e1d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:7e1e::/80 | 2001:db8::7e1e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:7e1f::/80 | 2001:db8::7e1f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:7e20::/80 | 2001:db8::7e20:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:7e21::/80 | 2001:db8::7e21:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:7e22::/80 | 2001:db8::7e22:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:7e23::/80 | 2001:db8::7e23:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:7e24::/80 | 2001:db8::7e24:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:7e25::/80 | 2001:db8::7e25:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:7e26::/80 | 2001:db8::7e26:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:7e27::/80 | 2001:db8::7e27:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:7e28::/80 | 2001:db8::7e28:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:7e29::/80 | 2001:db8::7e29:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:7e2a::/80 | 2001:db8::7e2a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:7e2b::/80 | 2001:db8::7e2b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:7e2c::/80 | 2001:db8::7e2c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:7e2d::/80 | 2001:db8::7e2d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:7e2e::/80 | 2001:db8::7e2e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:7e2f::/80 | 2001:db8::7e2f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:7e30::/80 | 2001:db8::7e30:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:7e31::/80 | 2001:db8::7e31:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:7e32::/80 | 2001:db8::7e32:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:7e33::/80 | 2001:db8::7e33:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:7e34::/80 | 2001:db8::7e34:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:7e35::/80 | 2001:db8::7e35:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:7e36::/80 | 2001:db8::7e36:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:7e37::/80 | 2001:db8::7e37:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:7e38::/80 | 2001:db8::7e38:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:7e39::/80 | 2001:db8::7e39:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:7e3a::/80 | 2001:db8::7e3a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:7e3b::/80 | 2001:db8::7e3b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:7e3c::/80 | 2001:db8::7e3c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:7e3d::/80 | 2001:db8::7e3d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:7e3e::/80 | 2001:db8::7e3e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:7e3f::/80 | 2001:db8::7e3f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:7e40::/80 | 2001:db8::7e40:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:7e41::/80 | 2001:db8::7e41:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:7e42::/80 | 2001:db8::7e42:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:7e43::/80 | 2001:db8::7e43:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:7e44::/80 | 2001:db8::7e44:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:7e45::/80 | 2001:db8::7e45:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:7e46::/80 | 2001:db8::7e46:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:7e47::/80 | 2001:db8::7e47:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:7e48::/80 | 2001:db8::7e48:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:7e49::/80 | 2001:db8::7e49:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:7e4a::/80 | 2001:db8::7e4a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:7e4b::/80 | 2001:db8::7e4b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:7e4c::/80 | 2001:db8::7e4c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:7e4d::/80 | 2001:db8::7e4d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:7e4e::/80 | 2001:db8::7e4e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:7e4f::/80 | 2001:db8::7e4f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:7e50::/80 | 2001:db8::7e50:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:7e51::/80 | 2001:db8::7e51:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:7e52::/80 | 2001:db8::7e52:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:7e53::/80 | 2001:db8::7e53:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:7e54::/80 | 2001:db8::7e54:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:7e55::/80 | 2001:db8::7e55:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:7e56::/80 | 2001:db8::7e56:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:7e57::/80 | 2001:db8::7e57:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:7e58::/80 | 2001:db8::7e58:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:7e59::/80 | 2001:db8::7e59:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:7e5a::/80 | 2001:db8::7e5a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:7e5b::/80 | 2001:db8::7e5b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:7e5c::/80 | 2001:db8::7e5c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:7e5d::/80 | 2001:db8::7e5d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:7e5e::/80 | 2001:db8::7e5e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:7e5f::/80 | 2001:db8::7e5f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:7e60::/80 | 2001:db8::7e60:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:7e61::/80 | 2001:db8::7e61:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:7e62::/80 | 2001:db8::7e62:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:7e63::/80 | 2001:db8::7e63:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:7e64::/80 | 2001:db8::7e64:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:7e65::/80 | 2001:db8::7e65:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:7e66::/80 | 2001:db8::7e66:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:7e67::/80 | 2001:db8::7e67:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:7e68::/80 | 2001:db8::7e68:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:7e69::/80 | 2001:db8::7e69:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:7e6a::/80 | 2001:db8::7e6a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:7e6b::/80 | 2001:db8::7e6b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:7e6c::/80 | 2001:db8::7e6c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:7e6d::/80 | 2001:db8::7e6d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:7e6e::/80 | 2001:db8::7e6e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:7e6f::/80 | 2001:db8::7e6f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:7e70::/80 | 2001:db8::7e70:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:7e71::/80 | 2001:db8::7e71:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:7e72::/80 | 2001:db8::7e72:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:7e73::/80 | 2001:db8::7e73:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:7e74::/80 | 2001:db8::7e74:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:7e75::/80 | 2001:db8::7e75:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:7e76::/80 | 2001:db8::7e76:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:7e77::/80 | 2001:db8::7e77:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:7e78::/80 | 2001:db8::7e78:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:7e79::/80 | 2001:db8::7e79:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:7e7a::/80 | 2001:db8::7e7a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:7e7b::/80 | 2001:db8::7e7b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:7e7c::/80 | 2001:db8::7e7c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:7e7d::/80 | 2001:db8::7e7d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:7e7e::/80 | 2001:db8::7e7e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:7e7f::/80 | 2001:db8::7e7f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:7e80::/80 | 2001:db8::7e80:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:7e81::/80 | 2001:db8::7e81:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:7e82::/80 | 2001:db8::7e82:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:7e83::/80 | 2001:db8::7e83:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:7e84::/80 | 2001:db8::7e84:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:7e85::/80 | 2001:db8::7e85:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:7e86::/80 | 2001:db8::7e86:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:7e87::/80 | 2001:db8::7e87:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:7e88::/80 | 2001:db8::7e88:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:7e89::/80 | 2001:db8::7e89:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:7e8a::/80 | 2001:db8::7e8a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:7e8b::/80 | 2001:db8::7e8b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:7e8c::/80 | 2001:db8::7e8c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:7e8d::/80 | 2001:db8::7e8d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:7e8e::/80 | 2001:db8::7e8e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:7e8f::/80 | 2001:db8::7e8f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:7e90::/80 | 2001:db8::7e90:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:7e91::/80 | 2001:db8::7e91:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:7e92::/80 | 2001:db8::7e92:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:7e93::/80 | 2001:db8::7e93:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:7e94::/80 | 2001:db8::7e94:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:7e95::/80 | 2001:db8::7e95:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:7e96::/80 | 2001:db8::7e96:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:7e97::/80 | 2001:db8::7e97:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:7e98::/80 | 2001:db8::7e98:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:7e99::/80 | 2001:db8::7e99:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:7e9a::/80 | 2001:db8::7e9a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:7e9b::/80 | 2001:db8::7e9b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:7e9c::/80 | 2001:db8::7e9c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:7e9d::/80 | 2001:db8::7e9d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:7e9e::/80 | 2001:db8::7e9e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:7e9f::/80 | 2001:db8::7e9f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:7ea0::/80 | 2001:db8::7ea0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:7ea1::/80 | 2001:db8::7ea1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:7ea2::/80 | 2001:db8::7ea2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:7ea3::/80 | 2001:db8::7ea3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:7ea4::/80 | 2001:db8::7ea4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:7ea5::/80 | 2001:db8::7ea5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:7ea6::/80 | 2001:db8::7ea6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:7ea7::/80 | 2001:db8::7ea7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:7ea8::/80 | 2001:db8::7ea8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:7ea9::/80 | 2001:db8::7ea9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:7eaa::/80 | 2001:db8::7eaa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:7eab::/80 | 2001:db8::7eab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:7eac::/80 | 2001:db8::7eac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:7ead::/80 | 2001:db8::7ead:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:7eae::/80 | 2001:db8::7eae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:7eaf::/80 | 2001:db8::7eaf:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:7eb0::/80 | 2001:db8::7eb0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:7eb1::/80 | 2001:db8::7eb1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:7eb2::/80 | 2001:db8::7eb2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:7eb3::/80 | 2001:db8::7eb3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:7eb4::/80 | 2001:db8::7eb4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:7eb5::/80 | 2001:db8::7eb5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:7eb6::/80 | 2001:db8::7eb6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:7eb7::/80 | 2001:db8::7eb7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:7eb8::/80 | 2001:db8::7eb8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:7eb9::/80 | 2001:db8::7eb9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:7eba::/80 | 2001:db8::7eba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:7ebb::/80 | 2001:db8::7ebb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:7ebc::/80 | 2001:db8::7ebc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:7ebd::/80 | 2001:db8::7ebd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:7ebe::/80 | 2001:db8::7ebe:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:7ebf::/80 | 2001:db8::7ebf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:7ec0::/80 | 2001:db8::7ec0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:7ec1::/80 | 2001:db8::7ec1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:7ec2::/80 | 2001:db8::7ec2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:7ec3::/80 | 2001:db8::7ec3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:7ec4::/80 | 2001:db8::7ec4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:7ec5::/80 | 2001:db8::7ec5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:7ec6::/80 | 2001:db8::7ec6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:7ec7::/80 | 2001:db8::7ec7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:7ec8::/80 | 2001:db8::7ec8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:7ec9::/80 | 2001:db8::7ec9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:7eca::/80 | 2001:db8::7eca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:7ecb::/80 | 2001:db8::7ecb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:7ecc::/80 | 2001:db8::7ecc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:7ecd::/80 | 2001:db8::7ecd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:7ece::/80 | 2001:db8::7ece:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:7ecf::/80 | 2001:db8::7ecf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:7ed0::/80 | 2001:db8::7ed0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:7ed1::/80 | 2001:db8::7ed1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:7ed2::/80 | 2001:db8::7ed2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:7ed3::/80 | 2001:db8::7ed3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:7ed4::/80 | 2001:db8::7ed4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:7ed5::/80 | 2001:db8::7ed5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:7ed6::/80 | 2001:db8::7ed6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:7ed7::/80 | 2001:db8::7ed7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:7ed8::/80 | 2001:db8::7ed8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:7ed9::/80 | 2001:db8::7ed9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:7eda::/80 | 2001:db8::7eda:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:7edb::/80 | 2001:db8::7edb:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:7edc::/80 | 2001:db8::7edc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:7edd::/80 | 2001:db8::7edd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:7ede::/80 | 2001:db8::7ede:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:7edf::/80 | 2001:db8::7edf:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:7ee0::/80 | 2001:db8::7ee0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:7ee1::/80 | 2001:db8::7ee1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:7ee2::/80 | 2001:db8::7ee2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:7ee3::/80 | 2001:db8::7ee3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:7ee4::/80 | 2001:db8::7ee4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:7ee5::/80 | 2001:db8::7ee5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:7ee6::/80 | 2001:db8::7ee6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:7ee7::/80 | 2001:db8::7ee7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:7ee8::/80 | 2001:db8::7ee8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:7ee9::/80 | 2001:db8::7ee9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:7eea::/80 | 2001:db8::7eea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:7eeb::/80 | 2001:db8::7eeb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:7eec::/80 | 2001:db8::7eec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:7eed::/80 | 2001:db8::7eed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:7eee::/80 | 2001:db8::7eee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:7eef::/80 | 2001:db8::7eef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:7ef0::/80 | 2001:db8::7ef0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:7ef1::/80 | 2001:db8::7ef1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:7ef2::/80 | 2001:db8::7ef2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:7ef3::/80 | 2001:db8::7ef3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:7ef4::/80 | 2001:db8::7ef4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:7ef5::/80 | 2001:db8::7ef5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:7ef6::/80 | 2001:db8::7ef6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:7ef7::/80 | 2001:db8::7ef7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:7ef8::/80 | 2001:db8::7ef8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:7ef9::/80 | 2001:db8::7ef9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:7efa::/80 | 2001:db8::7efa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:7efb::/80 | 2001:db8::7efb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:7efc::/80 | 2001:db8::7efc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:7efd::/80 | 2001:db8::7efd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:7efe::/80 | 2001:db8::7efe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:7eff::/80 | 2001:db8::7eff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |